/* Methods */
.method .header, .method .cell {
  padding: 6px 6px 6px 10px; 
}

.method .list-header .header {
  font-weight: normal;
  text-transform: uppercase;
  font-size: 0.8em;
  color: #999;
  background-color: #eee; 
}

.method [class^="row"],.method [class*=" row"] {border-bottom: 1px solid #ddd; }

.method [class^="row"]:hover, .method [class*=" row"]:hover {background-color: #f7f7f7; }

.method .cell {font-size: 0.85em; }

.method .cell .mobile-isrequired {
display: none;
font-weight: normal;
text-transform: uppercase;
color: #aaa;
font-size: 0.8em; 
}

.method .cell .propertyname {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis; 
}

.method .cell .type {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis; 
}

.method .cell code {
    color: #428bca; 
}

.method .cell a, .method .cell a:hover {
    text-decoration: none; 
}

.method .cell code.custom {
    color: #8a6d3b;
    text-decoration: none; 
}

.method .cell .text-muted {
color: #ddd; 
}

.pagination {
    display: table-row;
}

@media (max-width: 991px) {
    .method [class^="row"],
    .method [class*=" row"] {
        padding-top: 10px;
        padding-bottom: 10px; 
    }

    .method .cell {
        padding: 0 10px; 
    }

    .method .cell .propertyname {
        font-weight: bold;
        font-size: 1.2em; 
    }

    .method .cell .propertyname .lookuplink {
        font-weight: normal;
        font-size: 1.5em;
        position: absolute;
        top: 0;
        right: 10px; 
    }
    .method .cell .type {
        padding-left: 10px;
        font-size: 1.1em; 
    }
    
    .method .cell .isrequired {
        padding-left: 10px;
        display: none; 
    }
    
    .method .cell .description {
        padding-left: 10px; 
    }
    
    .method .cell .mobile-isrequired {
      display: inline; 
    } 
}


/* Row Utilities */
[class^='row'].margin-0,
[class*=' row'].margin-0,
[class^='form-group'].margin-0,
[class*=' form-group'].margin-0 {
    margin-left: -0px;
    margin-right: -0px; 
}
  
[class^='row'].margin-0 > [class^='col-'],
[class^='row'].margin-0 > [class*=' col-'],
[class*=' row'].margin-0 > [class^='col-'],
[class*=' row'].margin-0 > [class*=' col-'],
[class^='form-group'].margin-0 > [class^='col-'],
[class^='form-group'].margin-0 > [class*=' col-'],
[class*=' form-group'].margin-0 > [class^='col-'],
[class*=' form-group'].margin-0 > [class*=' col-'] {
    padding-right: 0px;
    padding-left: 0px; 
}
   
[class^='row'].margin-0 [class^='row'],
[class^='row'].margin-0 [class*=' row'],
[class^='row'].margin-0 [class^='form-group'],
[class^='row'].margin-0 [class*=' form-group'],
[class*=' row'].margin-0 [class^='row'],
[class*=' row'].margin-0 [class*=' row'],
[class*=' row'].margin-0 [class^='form-group'],
[class*=' row'].margin-0 [class*=' form-group'],
[class^='form-group'].margin-0 [class^='row'],
[class^='form-group'].margin-0 [class*=' row'],
[class^='form-group'].margin-0 [class^='form-group'],
[class^='form-group'].margin-0 [class*=' form-group'],
[class*=' form-group'].margin-0 [class^='row'],
[class*=' form-group'].margin-0 [class*=' row'],
[class*=' form-group'].margin-0 [class^='form-group'],
[class*=' form-group'].margin-0 [class*=' form-group'] {
    margin-left: 0;
    margin-right: 0; 
}
	
/* Custom CSS */

.cellgrey{
  background-color: #EEEEEE; 
}	

.cellfont{
  font-size: 13px;	  
}

.add-cell-border-right{
  border-right: 1px solid rgb(221, 221, 221);
}

.add-cell-border-top{	 
  border-top: 1px solid rgb(221, 221, 221);
}

.add-cell-border-left{	 
  border-left: 1px solid rgb(221, 221, 221);
}

.add-cell-border-bottom{	 
  border-bottom: 1px solid rgb(221, 221, 221);
}

.add-cell-border{
     border: 1px solid rgb(221, 221, 221);
}

.cell{
  min-height:31px;
}

.cellheader{
    background-color: #DDDDDD ;
    font-size: 13px ;
    font-weight: bold;
}

table.product_price td.cellgrey {
	background-color: #EEEEEE;
}
table.product_price td {
	padding: 2px !important;
	border-radius: 0 !important;
}
table.product_price td.header {
	padding: 4px !important;
	text-align:center;
}

@media (max-width: 991px){
	.method [class^="row"], .method [class*=" row"] {
		padding-top: 0px;
    	padding-bottom: 0px;
	}	
}
